install.packages("SPOT")
library(SPOT)

evalFun <- function(candidateSolution){
    evalCommand <- "./evaluate.sh "
    parsedCandidate <- paste(candidateSolution, sep=",")
    return(as.numeric(system(paste0(evalCommand, "'", parsedCandidate, "'"), intern = T)))
}

wFun <- wrapFunction(evalFun)
spot(NULL,wFun, lower = rep(0,49), upper = rep(7,49), control = list(types=rep("integer",49), model = buildRandomForest))